import { useSelector } from "react-redux";

export default function ProductDetail() {
    const selectedProduct = useSelector((state) => state.brands.selectedProduct);
    
    return (
        <div className='product-details shadow-xs'>
            <div className='product-details-header'>
                <div className='product-details-header-title'>{selectedProduct.name}</div>
                <div className='product-details-header-pid'>PID: {selectedProduct.id}</div>
            </div>
            <div className='product-details-body'>
                <div className='product-img'></div>
                <div className='product-detail-list'>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.commission_rate}</div>
                        <div className='product-detail-item-label'>Commission Rate</div>
                    </div>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.available_samples}</div>
                        <div className='product-detail-item-label'>Available Samples</div>
                    </div>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.sales_price_max} - {selectedProduct.sales_price_min}</div>
                        <div className='product-detail-item-label'>Sales Price</div>
                    </div>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.stock}</div>
                        <div className='product-detail-item-label'>Stock</div>
                    </div>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.items_sold}</div>
                        <div className='product-detail-item-label'>Items Sold</div>
                    </div>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.product_rating}</div>
                        <div className='product-detail-item-label'>Product Rating</div>
                    </div>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.collab_creators}</div>
                        <div className='product-detail-item-label'>Collab Creators</div>
                    </div>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.gmv}</div>
                        <div className='product-detail-item-label'>GMV Achieved</div>
                    </div>
                    <div className='product-detail-item'>
                        <div className='product-detail-item-value'>{selectedProduct.reviews_count}</div>
                        <div className='product-detail-item-label'>Views Achieved</div>
                    </div>
                </div>
            </div>
        </div>
    );
}
