import React, { useState } from 'react';
import DatabaseFilter from '../components/DatabaseFilter';
import CreatorList from '../components/CreatorList';
import SearchBar from '../components/SearchBar';
import { Button } from 'react-bootstrap';
import AddToCampaign from '../components/AddToCampaign';

export default function Database({ path }) {
    const [showAddToCampaignModal, setShowAddToCampaignModal] = useState(false);
    
    return (
        <div className='database-page'>
            <div className='function-bar'>
                <SearchBar />
                <Button onClick={() => setShowAddToCampaignModal(true)}>+ Add to Campaign</Button>
            </div>
            <div className='breadcrumb'>
                <div className='breadcrumb-item'>Creator Database</div>
                {path === 'tiktok' && <div className='breadcrumb-item'>TikTok</div>}
                {path === 'instagram' && <div className='breadcrumb-item'>Instagram</div>}
                {path === 'youtube' && <div className='breadcrumb-item'>YouTube</div>}
            </div>
            <DatabaseFilter path={path} pageType={'database'} />
            <CreatorList path={path} />
            <AddToCampaign show={showAddToCampaignModal} onHide={() => setShowAddToCampaignModal(false)} onSubmit={() => setShowAddToCampaignModal(false)} />
        </div>
    );
}
